net.minecraft.client.shader

## Class Framebuffer

- java.lang.Object
- - net.minecraft.client.shader.Framebuffer

-     public class Framebuffer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `depthBuffer`
    `float[]` | `framebufferColor`
    `int` | `framebufferFilter`
    `int` | `framebufferHeight`
    `int` | `framebufferObject`
    `int` | `framebufferTexture`
    `int` | `framebufferTextureHeight`
    `int` | `framebufferTextureWidth`
    `int` | `framebufferWidth`
    `boolean` | `useDepth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Framebuffer(int p_i45078_1_, int p_i45078_2_, boolean p_i45078_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindFramebuffer(boolean p_147610_1_)`
    `void` | `bindFramebufferTexture()`
    `void` | `checkFramebufferComplete()`
    `void` | `createBindFramebuffer(int p_147613_1_, int p_147613_2_)`
    `void` | `createFramebuffer(int p_147605_1_, int p_147605_2_)`
    `void` | `deleteFramebuffer()`
    `void` | `framebufferClear()`
    `void` | `framebufferRender(int p_147615_1_, int p_147615_2_)`
    `void` | `setFramebufferColor(float p_147604_1_, float p_147604_2_, float p_147604_3_, float p_147604_4_)`
    `void` | `setFramebufferFilter(int p_147607_1_)`
    `void` | `unbindFramebuffer()`
    `void` | `unbindFramebufferTexture()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### framebufferTextureWidth

          public int framebufferTextureWidth

    - #### framebufferTextureHeight

          public int framebufferTextureHeight

    - #### framebufferWidth

          public int framebufferWidth

    - #### framebufferHeight

          public int framebufferHeight

    - #### useDepth

          public boolean useDepth

    - #### framebufferObject

          public int framebufferObject

    - #### framebufferTexture

          public int framebufferTexture

    - #### depthBuffer

          public int depthBuffer

    - #### framebufferColor

          public float[] framebufferColor

    - #### framebufferFilter

          public int framebufferFilter

  - ### Constructor Detail

    - #### Framebuffer

          public Framebuffer(int p_i45078_1_,
                     int p_i45078_2_,
                     boolean p_i45078_3_)

  - ### Method Detail

    - #### createBindFramebuffer

          public void createBindFramebuffer(int p_147613_1_,
                                   int p_147613_2_)

    - #### deleteFramebuffer

          public void deleteFramebuffer()

    - #### createFramebuffer

          public void createFramebuffer(int p_147605_1_,
                               int p_147605_2_)

    - #### setFramebufferFilter

          public void setFramebufferFilter(int p_147607_1_)

    - #### checkFramebufferComplete

          public void checkFramebufferComplete()

    - #### bindFramebufferTexture

          public void bindFramebufferTexture()

    - #### unbindFramebufferTexture

          public void unbindFramebufferTexture()

    - #### bindFramebuffer

          public void bindFramebuffer(boolean p_147610_1_)

    - #### unbindFramebuffer

          public void unbindFramebuffer()

    - #### setFramebufferColor

          public void setFramebufferColor(float p_147604_1_,
                                 float p_147604_2_,
                                 float p_147604_3_,
                                 float p_147604_4_)

    - #### framebufferRender

          public void framebufferRender(int p_147615_1_,
                               int p_147615_2_)

    - #### framebufferClear

          public void framebufferClear()